from fred_api.registry.domain import domain_common_types_pb2 as _domain_common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf import empty_pb2 as _empty_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class DomainLifeCycleStageRequest(_message.Message):
    __slots__ = ["fqdn", "time"]
    FQDN_FIELD_NUMBER: _ClassVar[int]
    TIME_FIELD_NUMBER: _ClassVar[int]
    fqdn: _domain_common_types_pb2.Fqdn
    time: _timestamp_pb2.Timestamp
    def __init__(self, fqdn: _Optional[_Union[_domain_common_types_pb2.Fqdn, _Mapping]] = ..., time: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ...) -> None: ...

class DomainLifeCycleStageReply(_message.Message):
    __slots__ = ["data"]
    class Data(_message.Message):
        __slots__ = ["domain_id", "delete_candidate", "not_registered"]
        DOMAIN_ID_FIELD_NUMBER: _ClassVar[int]
        DELETE_CANDIDATE_FIELD_NUMBER: _ClassVar[int]
        NOT_REGISTERED_FIELD_NUMBER: _ClassVar[int]
        domain_id: _domain_common_types_pb2.DomainId
        delete_candidate: _empty_pb2.Empty
        not_registered: _empty_pb2.Empty
        def __init__(self, domain_id: _Optional[_Union[_domain_common_types_pb2.DomainId, _Mapping]] = ..., delete_candidate: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., not_registered: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: DomainLifeCycleStageReply.Data
    def __init__(self, data: _Optional[_Union[DomainLifeCycleStageReply.Data, _Mapping]] = ...) -> None: ...
